Package org.lwjgl.opengl

# Class NVVertexAttribInteger64bit

java.lang.Object
org.lwjgl.opengl.NVVertexAttribInteger64bit

public final class NVVertexAttribInteger64bit extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_INT64_NV`
Accepted by the <type> parameter of VertexAttribLPointerEXT, VertexArrayVertexAttribLOffsetEXT, and VertexAttribLFormatNV:
`static final int`
`GL_UNSIGNED_INT64_NV`
Accepted by the <type> parameter of VertexAttribLPointerEXT, VertexArrayVertexAttribLOffsetEXT, and VertexAttribLFormatNV:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glGetVertexAttribLNV(int index, int pname, LongBuffer params)`
`static void`
`glGetVertexAttribLuNV(int index, int pname, LongBuffer params)`
`static void`
`glVertexAttribL1i64NV(int index, long x)`
`static void`
`glVertexAttribL1NV(int index, LongBuffer v)`
`static void`
`glVertexAttribL1ui64NV(int index, long x)`
`static void`
`glVertexAttribL1uNV(int index, LongBuffer v)`
`static void`
`glVertexAttribL2i64NV(int index, long x, long y)`
`static void`
`glVertexAttribL2NV(int index, LongBuffer v)`
`static void`
`glVertexAttribL2ui64NV(int index, long x, long y)`
`static void`
`glVertexAttribL2uNV(int index, LongBuffer v)`
`static void`
`glVertexAttribL3i64NV(int index, long x, long y, long z)`
`static void`
`glVertexAttribL3NV(int index, LongBuffer v)`
`static void`
`glVertexAttribL3ui64NV(int index, long x, long y, long z)`
`static void`
`glVertexAttribL3uNV(int index, LongBuffer v)`
`static void`
`glVertexAttribL4i64NV(int index, long x, long y, long z, long w)`
`static void`
`glVertexAttribL4NV(int index, LongBuffer v)`
`static void`
`glVertexAttribL4ui64NV(int index, long x, long y, long z, long w)`
`static void`
`glVertexAttribL4uNV(int index, LongBuffer v)`
`static void`
`glVertexAttribLFormatNV(int index, int size, int type, int stride)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_INT64_NV

public static final int GL_INT64_NV
Accepted by the <type> parameter of VertexAttribLPointerEXT, VertexArrayVertexAttribLOffsetEXT, and VertexAttribLFormatNV:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT64_NV

public static final int GL_UNSIGNED_INT64_NV
Accepted by the <type> parameter of VertexAttribLPointerEXT, VertexArrayVertexAttribLOffsetEXT, and VertexAttribLFormatNV:

See Also:
  - Constant Field Values

## Method Details

### glVertexAttribL1i64NV

public static void glVertexAttribL1i64NV(int index, long x)

### glVertexAttribL2i64NV

public static void glVertexAttribL2i64NV(int index, long x, long y)

### glVertexAttribL3i64NV

public static void glVertexAttribL3i64NV(int index, long x, long y, long z)

### glVertexAttribL4i64NV

public static void glVertexAttribL4i64NV(int index, long x, long y, long z, long w)

### glVertexAttribL1NV

public static void glVertexAttribL1NV(int index, LongBuffer v)

### glVertexAttribL2NV

public static void glVertexAttribL2NV(int index, LongBuffer v)

### glVertexAttribL3NV

public static void glVertexAttribL3NV(int index, LongBuffer v)

### glVertexAttribL4NV

public static void glVertexAttribL4NV(int index, LongBuffer v)

### glVertexAttribL1ui64NV

public static void glVertexAttribL1ui64NV(int index, long x)

### glVertexAttribL2ui64NV

public static void glVertexAttribL2ui64NV(int index, long x, long y)

### glVertexAttribL3ui64NV

public static void glVertexAttribL3ui64NV(int index, long x, long y, long z)

### glVertexAttribL4ui64NV

public static void glVertexAttribL4ui64NV(int index, long x, long y, long z, long w)

### glVertexAttribL1uNV

public static void glVertexAttribL1uNV(int index, LongBuffer v)

### glVertexAttribL2uNV

public static void glVertexAttribL2uNV(int index, LongBuffer v)

### glVertexAttribL3uNV

public static void glVertexAttribL3uNV(int index, LongBuffer v)

### glVertexAttribL4uNV

public static void glVertexAttribL4uNV(int index, LongBuffer v)

### glGetVertexAttribLNV

public static void glGetVertexAttribLNV(int index, int pname, LongBuffer params)

### glGetVertexAttribLuNV

public static void glGetVertexAttribLuNV(int index, int pname, LongBuffer params)

### glVertexAttribLFormatNV

public static void glVertexAttribLFormatNV(int index, int size, int type, int stride)